// packageF/debt/debtShopCode/debtShopCode.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    web_url: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
    wx.setNavigationBarTitle({
      title: '店铺二维码',
    })
  },
  tapImg(){
    wx.previewImage({
      current: this.data.web_url, // 当前显示图片的http链接
      urls: [this.data.web_url] // 需要预览的图片http链接列表
    })
  },
  getData() {
    let urlStr = app.getNetAddresss('plugin.debt-shop.frontend.debtor.getCode');
    app._getNetWork({
      url: urlStr,
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          this.setData({
            web_url: res.data.mini_url
          })
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})